## org.eclipse.ocl.cst
Interface LetExpCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS

All Known Implementing Classes:
  LetExpCSImpl

    public interface LetExpCS

extends OCLExpressionCS

A representation of the model object 'Let Exp CS'.

The following features are supported:

- `Variables`
- `In Expression`

See Also:
  `CSTPackage.getLetExpCS()`

Method Summary
`OCLExpressionCS` `getInExpression()` Returns the value of the 'In Expression' containment reference
`EList<VariableCS>` `getVariables()` Returns the value of the 'Variables' containment reference list.
`void` `setInExpression(OCLExpressionCS value)` Sets the value of the '`In Expression`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVariables

    EList<VariableCS> getVariables()

  Returns the value of the 'Variables' containment reference list. The list contents are of type `VariableCS`.

  If the meaning of the 'Variables' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variables' containment reference list.
  See Also:
    `CSTPackage.getLetExpCS_Variables()`

### getInExpression

    OCLExpressionCS getInExpression()

  Returns the value of the 'In Expression' containment reference.

  If the meaning of the 'In Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Expression' containment reference.
  See Also:
    `setInExpression(OCLExpressionCS)`, `CSTPackage.getLetExpCS_InExpression()`

### setInExpression

    void setInExpression(OCLExpressionCS value)

  Sets the value of the '`In Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'In Expression' containment reference.
  See Also:
    `getInExpression()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.